# $Revision: 1.5 $, $Date: 2011/12/10 17:39:39 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"

%define		pdir	namespace
%define		pnam	clean
%include	/usr/lib/rpm/macros.perl
Summary:	namespace::clean - Keep imports and functions out of your namespace
Name:		perl-namespace-clean
Version:	0.21
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/namespace/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	eabf88eec3f5952c4bb87461b69fd1d8
URL:		http://search.cpan.org/dist/namespace-clean/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(B::Hooks::EndOfScope)
BuildRequires:	perl-Package-Stash >= 0.23
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# Tie::ExtraHash is present in Tie/Hash.pm package
%define		_noautoreq	perl(Tie::ExtraHash)

%description
The namespace::clean pragma will remove all previously declared or
imported symbols at the end of the current package's compile cycle.
Functions called in the package itself will still be bound by their
name, but they won't show up as methods on your class or instances.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	--skipdeps \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%dir %{perl_vendorlib}/namespace
%{perl_vendorlib}/namespace/clean.pm
%{_mandir}/man3/namespace::clean.3pm*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-namespace-clean.spec,v $
Revision 1.5  2011/12/10 17:39:39  glen
- avoid pulling in Tie::ExtraHash

Revision 1.4  2011/12/10 17:22:12  glen
- up to 0.21

Revision 1.3  2009/06/16 12:11:52  amateja
- updated to 0.11

Revision 1.2  2009/02/01 13:04:59  radek
- release 2: add the vendorlib/namespace dir

Revision 1.1  2009/01/30 16:08:55  radek
- new
